Loading...
Searching...
No Matches
ArraySet Class Reference

Base class for array type containers. More...

`#include <avogadro/core/coordinateset.h>`

Inheritance diagram for ArraySet:

## Classes

class | PlaceHolder
class | Holder

## Public Member Functions

template<typename T>
bool | isType (const T &) const

## Protected Attributes

PlaceHolder * | m_content
void * | m_data

## Detailed Description

This base class gives us the non-templated base class that stores all arrays of data. You should use the base class as the container, and figure out its type when using it.

## Member Function Documentation

## isType()

template<typename T>

bool isType | ( | const T & |  | ) | const

Returns
  true if the type of the array matches the input type.

The documentation for this class was generated from the following file:

- coordinateset.h